dofile('data/Scripts/Scenes/Common.lua');
dofile('data/Scripts/Scenes/Animations/15_InsideTemple_Animations.lua');

------------------------------------------------------------------------------
--
function OnSceneLoad(restoringFromSave)
	InitGameState();

	play_field = playField;
    LoadData();
	play_field = nil;

    RootZoomZone = CreateZoomZone('RootZoomZone', nil, 
                                   nil, 0.0, 
                                   nil, 0.0,
							{'RootBackground',
							 'actZoneLeftStatue',
							 'actZoneRightStatue',
							 'actZoneBasement',

							 'archer',
							 'bench',
							 'boomerang',
							 'butterfly1',
							 'caterpillar',
							 'chest',
							 'cup',
							 'dragonflies',
							 'drum',
							 'fish1',
							 'fish2',
							 'fly',
							 'gymnast',
							 'halberd',
							 'hatchet',
							 'head',
							 'herbarium',
							 'hookah',
							 'jug1',
							 'leaf1',
							 'mask1',
							 'mask2',
							 'monsterStatuette',
							 'oldKnife',
							 'owl1',
							 'rosary',
							 'sandals',
							 'skull',
							 'spiderTatoo',
							 'amber',
							 'flowers',
							 'lizard',
							 'pearls',
							 'snake',
							 'weapon',

							 'gateGrid',
							 'LayerOverGateGrid',
							 'hatch',	
							 'LayerOverBench',
							 'LayerOverBoomerang',
							 'layerOverGymnast',
							 'LayerOverHatch',
							 'LayerOverOwl',
							 'LayerOverRosary',
							 'LayerOverSkull',
							 'LayerOverWeapon',

							 'actZoneMedallion',

							 'GreedCrystal_onPlaceGenView',
							 'RedCrystal_onPlaceGenView',
							 'Medallion_onPlace',

							 'RedCrystal',
							 'Crowbar',

							 'actZoneExit'},

							{},

							{'hatchLight',
							 'GreenCrystalGlowGenView',
							 'RedCrystalGlowGenView'});

    LeftStatueZoomZone = CreateZoomZone('LeftStatueZoomZone', RootZoomZone, 
                                   'actZoneLeftStatue', 0.0, 
                                   nil, 0.0,
							{'ZoomLeftStatueBackground',

							 'LayerOverLever',
							 'Lever_onPlace',
							 'lizardPaws',
							 'wallFratgment',
							 'Medallion',
							 'GreenCrystal_onPlace',

							 'actZoneCrowbar',
							 'actZoneLever',
							 'actZoneGreenCrystal'},

							{},

							{'GreenCrystalGlow'});

    RightStatueZoomZone = CreateZoomZone('RightStatueZoomZone', RootZoomZone, 
                                   'actZoneRightStatue', 0.0, 
                                   nil, 0.0,
							{'ZoomRightStatueBackground',

							 'lizardPaw1',
							 'lizardPaw2',

							 'RedCrystal_onPlace',
							 'Quiver_onPlace',

							 'actZoneRedCrystal',
							 'actZoneQuiver'},

							{},

							{'RedCrystalGlow'});

    BasementZoomZone = CreateZoomZone('BasementZoomZone', RootZoomZone, 
                                   'actZoneBasement', 90.0 /180.0*M_PI, 
                                   'navigationZoneBasement', 110.0 /180.0*M_PI,
							{'ZoomBasementBackground',
							 'navigationZoneBasement',
							 'actZoneLizardKnight',

							 'bag',
							 'biscuit',
							 'bones',
							 'bug',
							 'butterfly',
							 'candlestick',
							 'cat',
							 'cauldron',
							 'circle',
							 'coins',
							 'column',
							 'crow',
							 'dogStatuette',
							 'eyeball',
							 'flowerpot',
							 'frog',
							 'glove',
							 'hat',
							 'jug',
							 'key',
							 'lantern',
							 'leaf',
							 'macaque',
							 'mallet',
							 'mantis',
							 'mask',
							 'mortar',
							 'mug',
							 'owl',
							 'peacock',
							 'pineapple',
							 'redCrystal',
							 'ring',
							 'seashell',
							 'snail',
							 'sun',
							 'sword',
							 'tube',
							 'vessel',

							 'backgroundShadowMap',
							 'LayerOverCandlestick',
							 'LayerOverColumn',
							 'LayerOverEyeball',
							 'LayerOverFrog',
							 'LayerOverVessel',

							 'GreenCrystal',
							 'Lever'},

							{});

    LizardKnightZoomZone = CreateZoomZone('LizardKnightZoomZone', BasementZoomZone, 
                                   'actZoneLizardKnight', 0.0, 
                                   nil, 0.0,
							{'ZoomLizadKnightBackground',
							 'layerOverQuiver',
							 'Quiver'},

							{});

if (restoringFromSave == false) then
    AddRandomTasks(true, 2 * MISC_TASK_COUNT_24,
		CreateTask('archer'),
		CreateTask('bench'),
		CreateTask('boomerang'),
		CreateTask('butterfly1'),
		CreateTask('caterpillar'),
		CreateTask('chest'),
		CreateTask('cup'),
		CreateTask('dragonflies'),
		CreateTask('drum'),
		CreateTask('fish1'),
		CreateTask('fish2'),
		CreateTask('fly'),
		CreateTask('gymnast'),
		CreateTask('halberd'),
		CreateTask('hatchet'),
		CreateTask('head'),
		CreateTask('herbarium'),
		CreateTask('hookah'),
		CreateTask('jug1'),
		CreateTask('leaf1'),
		CreateTask('mask1'),
		CreateTask('mask2'),
		CreateTask('monsterStatuette'),
		CreateTask('oldKnife'),
		CreateTask('owl1'),
		CreateTask('rosary'),
		CreateTask('sandals'),
		CreateTask('skull'),
		CreateTask('spiderTatoo'),
		CreateTask('amber'),
		CreateTask('flowers'),
		CreateTask('lizard'),
		CreateTask('pearls'),
		CreateTask('snake'),
		CreateTask('weapon'),

		CreateTask('bag'),
		CreateTask('biscuit'),
		CreateTask('bones'),
		CreateTask('bug'),
		CreateTask('butterfly'),
		CreateTask('candlestick'),
		CreateTask('cat'),
		CreateTask('cauldron'),
		CreateTask('circle'),
		CreateTask('coins'),
		CreateTask('column'),
		CreateTask('crow'),
		CreateTask('dogStatuette'),
		CreateTask('eyeball'),
		CreateTask('flowerpot'),
		CreateTask('frog'),
		CreateTask('glove'),
		CreateTask('hat'),
		CreateTask('jug'),
		CreateTask('key'),
		CreateTask('lantern'),
		CreateTask('leaf'),
		CreateTask('macaque'),
		CreateTask('mallet'),
		CreateTask('mantis'),
		CreateTask('mask'),
		CreateTask('mortar'),
		CreateTask('mug'),
		CreateTask('owl'),
		CreateTask('peacock'),
		CreateTask('pineapple'),
		CreateTask('redCrystal'),
		CreateTask('ring'),
		CreateTask('seashell'),
		CreateTask('snail'),
		CreateTask('sun'),
		CreateTask('sword'),
		CreateTask('tube'),
		CreateTask('vessel')
	);

    playField:GetLevelScreen():AddTaskSafe(CreateTask('RedCrystal'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('GreenCrystal'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Lever'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Medallion'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Quiver'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Crowbar'));
end

	CreateToolMap(	{'RedCrystal', 		'actZoneRedCrystal'},
					{'GreenCrystal',   	'actZoneGreenCrystal'},
					{'Lever',			'actZoneLever'},
					{'Medallion',   	'actZoneMedallion'},
					{'Quiver',  		'actZoneQuiver'},
					{'Crowbar',			'actZoneCrowbar'});

	SetIconForGameObject(playField:GetObject('archer'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/archer_icon.png');
	SetIconForGameObject(playField:GetObject('bench'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/bench_icon.png');
	SetIconForGameObject(playField:GetObject('boomerang'),	'data/Texture/Scenes/15_InsideTemple/Items/Misc/boomerang_icon.png');
	SetIconForGameObject(playField:GetObject('butterfly1'),	'data/Texture/Scenes/15_InsideTemple/Items/Misc/butterfly_icon.png');
	SetIconForGameObject(playField:GetObject('caterpillar'),'data/Texture/Scenes/15_InsideTemple/Items/Misc/caterpillar_icon.png');
	SetIconForGameObject(playField:GetObject('chest'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/chest_icon.png');
	SetIconForGameObject(playField:GetObject('cup'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/cup_icon.png');
	SetIconForGameObject(playField:GetObject('dragonflies'),'data/Texture/Scenes/15_InsideTemple/Items/Misc/dragonflies_icon.png');
	SetIconForGameObject(playField:GetObject('drum'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/drum_icon.png');
	SetIconForGameObject(playField:GetObject('fish1'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/fish1_icon.png');
	SetIconForGameObject(playField:GetObject('fish2'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/fish2_icon.png');
	SetIconForGameObject(playField:GetObject('fly'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/fly_icon.png');
	SetIconForGameObject(playField:GetObject('gymnast'),	'data/Texture/Scenes/15_InsideTemple/Items/Misc/gymnast_icon.png');
	SetIconForGameObject(playField:GetObject('halberd'),	'data/Texture/Scenes/15_InsideTemple/Items/Misc/halberd_icon.png');
	SetIconForGameObject(playField:GetObject('hatchet'),	'data/Texture/Scenes/15_InsideTemple/Items/Misc/hatchet_icon.png');
	SetIconForGameObject(playField:GetObject('head'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/head_icon.png');
	SetIconForGameObject(playField:GetObject('herbarium'),	'data/Texture/Scenes/15_InsideTemple/Items/Misc/herbarium_icon.png');
	SetIconForGameObject(playField:GetObject('hookah'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/hookah_icon.png');
	SetIconForGameObject(playField:GetObject('jug1'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/jug_icon.png');
	SetIconForGameObject(playField:GetObject('leaf1'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/leaf_icon.png');
	SetIconForGameObject(playField:GetObject('mask1'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/mask1_icon.png');
	SetIconForGameObject(playField:GetObject('mask2'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/mask2_icon.png');
	SetIconForGameObject(playField:GetObject('monsterStatuette'),'data/Texture/Scenes/15_InsideTemple/Items/Misc/monsterStatuette_icon.png');
	SetIconForGameObject(playField:GetObject('oldKnife'),	'data/Texture/Scenes/15_InsideTemple/Items/Misc/oldKnife_icon.png');
	SetIconForGameObject(playField:GetObject('owl1'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/owl_icon.png');
	SetIconForGameObject(playField:GetObject('rosary'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/rosary_icon.png');
	SetIconForGameObject(playField:GetObject('sandals'),	'data/Texture/Scenes/15_InsideTemple/Items/Misc/sandals_icon.png');
	SetIconForGameObject(playField:GetObject('skull'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/skull_icon.png');
	SetIconForGameObject(playField:GetObject('spiderTatoo'),'data/Texture/Scenes/15_InsideTemple/Items/Misc/spiderTatoo_icon.png');
	SetIconForGameObject(playField:GetObject('amber'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/amber_icon.png');
	SetIconForGameObject(playField:GetObject('flowers'),	'data/Texture/Scenes/15_InsideTemple/Items/Misc/flowers_icon.png');
	SetIconForGameObject(playField:GetObject('lizard'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/lizard_icon.png');
	SetIconForGameObject(playField:GetObject('pearls'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/pearls_icon.png');
	SetIconForGameObject(playField:GetObject('snake'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/snake_icon.png');
	SetIconForGameObject(playField:GetObject('weapon'),		'data/Texture/Scenes/15_InsideTemple/Items/Misc/weapon_icon.png');

	SetIconForGameObject(playField:GetObject('bag'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/bag_icon.png');
	SetIconForGameObject(playField:GetObject('biscuit'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/biscuit_icon.png');
	SetIconForGameObject(playField:GetObject('bones'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/bones_icon.png');
	SetIconForGameObject(playField:GetObject('bug'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/bug_icon.png');
	SetIconForGameObject(playField:GetObject('butterfly'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/butterfly_icon.png');
	SetIconForGameObject(playField:GetObject('candlestick'),'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/candlestick_icon.png');
	SetIconForGameObject(playField:GetObject('cat'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/cat_icon.png');
	SetIconForGameObject(playField:GetObject('cauldron'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/cauldron_icon.png');
	SetIconForGameObject(playField:GetObject('circle'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/circle_icon.png');
	SetIconForGameObject(playField:GetObject('coins'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/coins_icon.png');
	SetIconForGameObject(playField:GetObject('column'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/column_icon.png');
	SetIconForGameObject(playField:GetObject('crow'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/crow_icon.png');
	SetIconForGameObject(playField:GetObject('dogStatuette'),'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/dogStatuette_icon.png');
	SetIconForGameObject(playField:GetObject('eyeball'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/eyeball_icon.png');
	SetIconForGameObject(playField:GetObject('flowerpot'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/flowerpot_icon.png');
	SetIconForGameObject(playField:GetObject('frog'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/frog_icon.png');
	SetIconForGameObject(playField:GetObject('glove'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/glove_icon.png');
	SetIconForGameObject(playField:GetObject('hat'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/hat_icon.png');
	SetIconForGameObject(playField:GetObject('jug'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/jug_icon.png');
	SetIconForGameObject(playField:GetObject('key'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/key_icon.png');
	SetIconForGameObject(playField:GetObject('lantern'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/lantern_icon.png');
	SetIconForGameObject(playField:GetObject('leaf'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/leaf_icon.png');
	SetIconForGameObject(playField:GetObject('macaque'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/macaque_icon.png');
	SetIconForGameObject(playField:GetObject('mallet'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mallet_icon.png');
	SetIconForGameObject(playField:GetObject('mantis'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mantis_icon.png');
	SetIconForGameObject(playField:GetObject('mask'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mask_icon.png');
	SetIconForGameObject(playField:GetObject('mortar'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mortar_icon.png');
	SetIconForGameObject(playField:GetObject('mug'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mug_icon.png');
	SetIconForGameObject(playField:GetObject('owl'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/owl_icon.png');
	SetIconForGameObject(playField:GetObject('peacock'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/peacock_icon.png');
	SetIconForGameObject(playField:GetObject('pineapple'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/pineapple_icon.png');
	SetIconForGameObject(playField:GetObject('redCrystal'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/redCrystal_icon.png');
	SetIconForGameObject(playField:GetObject('ring'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/ring_icon.png');
	SetIconForGameObject(playField:GetObject('seashell'),	'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/seashell_icon.png');
	SetIconForGameObject(playField:GetObject('snail'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/snail_icon.png');
	SetIconForGameObject(playField:GetObject('sun'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/sun_icon.png');
	SetIconForGameObject(playField:GetObject('sword'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/sword_icon.png');
	SetIconForGameObject(playField:GetObject('tube'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/tube_icon.png');
	SetIconForGameObject(playField:GetObject('vessel'),		'data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/vessel_icon.png');

	SetIconForGameObject(playField:GetObject('RedCrystal'),	'data/Texture/Scenes/15_InsideTemple/Items/RedCrystal_icon.png');
	SetIconForGameObject(playField:GetObject('GreenCrystal'),'data/Texture/Scenes/15_InsideTemple/Items/GreenCrystal_icon.png');
	SetIconForGameObject(playField:GetObject('Lever'),		'data/Texture/Scenes/15_InsideTemple/Items/Lever_icon.png');
	SetIconForGameObject(playField:GetObject('Medallion'),	'data/Texture/Scenes/15_InsideTemple/Items/Medallion_icon.png');
	SetIconForGameObject(playField:GetObject('Quiver'),		'data/Texture/Scenes/15_InsideTemple/Items/Quiver_icon.png');
	SetIconForGameObject(playField:GetObject('Crowbar'),	'data/Texture/Scenes/15_InsideTemple/Items/Crowbar_icon.png');

if (restoringFromSave == false) then
	gameState.gateGridInitPosY = playField:GetObject('gateGrid'):GetY();
	gameState.gateGridMoveDistance = 105.0;
	gameState.hatchInitPosY = playField:GetObject('hatch'):GetY();
	gameState.hatchMoveDistance = 50.0;
	gameState.leverInitAngle = playField:GetObject('Lever_onPlace'):GetAngle();
	gameState.leverRotation = -60.0 /180.0*M_PI;

	gameState.redCrystalOnPlace = false;
	gameState.greenCrystalOnPlace = false;
	gameState.leverOnPlace = false;
	gameState.medallionOnPlace = false;
	gameState.quiverOnPlace = false;
	gameState.crowbarUsed = false;

	gameState.leverMoved = false;
	gameState.leverAndGridAreMoving = false;
	gameState.hatchIsMoving = false;

	gameState.allToolsApplied = false;
	gameState.levelCompleted = false;
end

	AssignActiveZonesGlow({function() return gameState.redCrystalOnPlace; end,	'actZoneRedCrystal',	'RedCrystal_ghost'},
						  {function() return gameState.greenCrystalOnPlace; end,'actZoneGreenCrystal',	'GreenCrystal_ghost'},
					      {function() return gameState.leverOnPlace; end,		'actZoneLever',			'Lever_ghost'},
						  {function() return gameState.medallionOnPlace; end,	'actZoneMedallion',		'Medallion_ghost'},
						  {function() return gameState.quiverOnPlace; end,		'actZoneQuiver',		'Quiver_ghost'},
						  {function() return gameState.crowbarUsed; end,		'actZoneCrowbar',		'Crowbar_ghost'});

    ApplyLevelDump(restoringFromSave);
	SetZoneVisible(RootZoomZone, true, false);

	auxSceneInit(restoringFromSave);
	auxProcessToolObjectStateAnCursorType();
end

------------------------------------------------------------------------------
--
function OnSceneFree()
    FreeData()

    StopSound('L15S10');
    StopSound('L15S11');
    StopSound('L15S12');
end

--// Local auxiliary functions - - - - - - - - - - - - - - - - - - - - - - - -
function auxSceneInit(restoringFromSave)
    local initialActions = function()
		ShowLevelIntro(15);
    end
	local regularActions = function()
		gameState.lockedObjects['actZoneBasement'] = nil;
		gameState.customCursors['actZoneLeftStatue'] = {'CursorZoom'};
		gameState.customCursors['actZoneRightStatue'] = {'CursorZoom'};
		gameState.customCursors['actZoneLizardKnight'] = {'CursorZoom'};

	    playField:IgnoreOnTestPoint('GreenCrystalGlow');
	    playField:IgnoreOnTestPoint('GreenCrystalGlowGenView');
    	playField:IgnoreOnTestPoint('RedCrystalGlow');
	    playField:IgnoreOnTestPoint('RedCrystalGlowGenView');

	    playField:IgnoreOnTestPoint('hatchLight');
		auxSetFibrillationEffector(playField:GetObject('hatchLight'), 0.75, 8.0);

	    playField:IgnoreOnTestPoint('backgroundShadowMap');

		auxCreateInsideTempleAnimations(playField:GetObject('RootBackground'));
		auxPlayInsideTempleAnimation('EnvTop');
		auxPlayInsideTempleAnimation('Fly1');
--		auxPlayInsideTempleAnimation('Fly2');

		gameState.nextAnimationDelay = 0;

		gameState.leverAndGridAreMoving = false;
		gameState.hatchIsMoving = false;
	end

    if (restoringFromSave == false) then
        initialActions();
	else
    end	
    regularActions();

	if (gameState.levelCompleted == true) then
		gameState.levelCompleted = false;
		auxTestLevelCompleteCondition();
	end
end


function auxProcessToolObjectStateAnCursorType()
    assert(	gameState.redCrystalOnPlace ~= nil and
			gameState.greenCrystalOnPlace ~= nil and
			gameState.leverOnPlace ~= nil and
			gameState.medallionOnPlace ~= nil and
			gameState.quiverOnPlace ~= nil and
			gameState.crowbarUsed ~= nil and

			gameState.leverMoved ~= nil and
			gameState.leverAndGridAreMoving ~= nil and
			gameState.hatchIsMoving ~= nil);

	if (gameState.redCrystalOnPlace == true) then
		RightStatueZoomZone.UnhideObject('RedCrystal_onPlace');
		RootZoomZone.UnhideObject('RedCrystal_onPlaceGenView');
		gameState.customCursors['actZoneRedCrystal'] = nil;
	else
		RightStatueZoomZone.HideObject('RedCrystal_onPlace');
		RootZoomZone.HideObject('RedCrystal_onPlaceGenView');
		gameState.customCursors['actZoneRedCrystal'] = {'CursorArms'};
	end
	playField:GetObject('RedCrystalGlow'):SetVisible(gameState.redCrystalOnPlace == true);
	playField:GetObject('RedCrystalGlowGenView'):SetVisible(gameState.redCrystalOnPlace == true);

	if (gameState.greenCrystalOnPlace == true) then
		LeftStatueZoomZone.UnhideObject('GreenCrystal_onPlace');
		RootZoomZone.UnhideObject('GreedCrystal_onPlaceGenView');
		gameState.customCursors['actZoneGreenCrystal'] = nil;
	else
		LeftStatueZoomZone.HideObject('GreenCrystal_onPlace');
		RootZoomZone.HideObject('GreedCrystal_onPlaceGenView');
		gameState.customCursors['actZoneGreenCrystal'] = {'CursorArms'};
	end
	playField:GetObject('GreenCrystalGlow'):SetVisible(gameState.greenCrystalOnPlace == true);
	playField:GetObject('GreenCrystalGlowGenView'):SetVisible(gameState.greenCrystalOnPlace == true);

	if (gameState.leverOnPlace == true) then
		LeftStatueZoomZone.UnhideObject('Lever_onPlace');
		if (gameState.leverMoved == true) then
			gameState.customCursors['actZoneLever'] = nil;
		else
			gameState.customCursors['actZoneLever'] = {'CursorArms'};
		end
	else
		LeftStatueZoomZone.HideObject('Lever_onPlace');
		gameState.customCursors['actZoneLever'] = {'CursorArms'};
	end
	if (gameState.leverAndGridAreMoving == false) then
		if (gameState.leverMoved == true) then
			playField:GetObject('gateGrid'):SetY(gameState.gateGridInitPosY + gameState.gateGridMoveDistance);
			playField:GetObject('Lever_onPlace'):SetAngle(gameState.leverInitAngle + gameState.leverRotation);
			gameState.customCursors['actZoneLever'] = nil;
			gameState.customCursors['actZoneExit'] = {'CursorNavigation', -100.0 /180.0*M_PI};
			gameState.lockedObjects['actZoneExit'] = nil;
		else
			playField:GetObject('gateGrid'):SetY(gameState.gateGridInitPosY);
			playField:GetObject('Lever_onPlace'):SetAngle(gameState.leverInitAngle);
			gameState.customCursors['actZoneLever'] = {'CursorArms'};
			gameState.customCursors['actZoneExit'] = nil;
			gameState.lockedObjects['actZoneExit'] = true;
		end
	end

	if (gameState.medallionOnPlace == true) then
		RootZoomZone.UnhideObject('Medallion_onPlace');
		if (playField:GetLevelScreen():HasUncompletedTask() == true) then
			gameState.customCursors['actZoneBasement'] = {'CursorNavigation', 90.0 /180.0*M_PI};
			gameState.lockedObjects['actZoneBasement'] = nil;
		end
		gameState.customCursors['actZoneMedallion'] = nil;
	else
		RootZoomZone.HideObject('Medallion_onPlace');
		gameState.customCursors['actZoneBasement'] = nil;
		gameState.lockedObjects['actZoneBasement'] = true;
		gameState.customCursors['actZoneMedallion'] = {'CursorArms'};
	end
	if (gameState.hatchIsMoving == false) then
		if (gameState.medallionOnPlace == true) then
			playField:GetObject('hatch'):SetY(gameState.hatchInitPosY + gameState.hatchMoveDistance);
		else
			playField:GetObject('hatch'):SetY(gameState.hatchInitPosY);
		end
	end
	playField:GetObject('hatchLight'):SetVisible(gameState.medallionOnPlace == true);

	if (gameState.quiverOnPlace == true) then
		RightStatueZoomZone.UnhideObject('Quiver_onPlace');
		gameState.customCursors['actZoneQuiver'] = nil;
	else
		RightStatueZoomZone.HideObject('Quiver_onPlace');
		gameState.customCursors['actZoneQuiver'] = {'CursorArms'};
	end

	if (gameState.crowbarUsed == true) then
		LeftStatueZoomZone.HideObject('wallFratgment');
playField:IgnoreOnTestPoint('actZoneCrowbar');
		gameState.customCursors['actZoneCrowbar'] = nil;
	else
		LeftStatueZoomZone.UnhideObject('wallFratgment');
		gameState.customCursors['actZoneCrowbar'] = {'CursorArms'};
	end


	--/ zoom-zones blocking 
	if (gameState.quiverOnPlace == true and gameState.redCrystalOnPlace == true) then
		gameState.customCursors['actZoneRightStatue'] = nil;
		gameState.lockedObjects['actZoneRightStatue'] = true;
	else
		gameState.customCursors['actZoneRightStatue'] = {'CursorZoom'};
		gameState.lockedObjects['actZoneRightStatue'] = nil;
	end

	if (playField:HasObject('Quiver') == false) then
		gameState.customCursors['actZoneLizardKnight'] = nil;
		gameState.lockedObjects['actZoneLizardKnight'] = true;
	else
		gameState.customCursors['actZoneLizardKnight'] = {'CursorZoom'};
		gameState.lockedObjects['actZoneLizardKnight'] = nil;
	end

	if (gameState.leverMoved) then
		gameState.customCursors['actZoneLeftStatue'] = nil;
		gameState.lockedObjects['actZoneLeftStatue'] = true;
--		gameState.customCursors['actZoneBasement'] = nil;
--		gameState.lockedObjects['actZoneBasement'] = true;
	else
		gameState.customCursors['actZoneLeftStatue'] = {'CursorZoom'};
		gameState.lockedObjects['actZoneLeftStatue'] = nil;
--		gameState.customCursors['actZoneBasement'] = {'CursorNavigation', 90.0 /180.0*M_PI};
--		gameState.lockedObjects['actZoneBasement'] = nil;
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxDisableStateFlag(flagName, additinalAction)
	assert(gameState[flagName] ~= nil);
	gameState[flagName] = false;
	if (additinalAction ~= nil) then
		additinalAction();
	end
end
function auxOpenHatch()
	local duration = 1.0;

	PlaySound('L15S12');
	gameState.medallionOnPlace = true;
	gameState.hatchIsMoving = true;
	TimerDoString('auxDisableStateFlag(\'hatchIsMoving\');', duration, playField:GetTimer());

	local objHatch = playField:GetObject('hatch');
	objHatch:SetY(gameState.hatchInitPosY);
	objHatch:Move(0.0, gameState.hatchMoveDistance, duration);

	gameState.lockedObjects['actZoneBasement'] = nil;
	gameState.customCursors['actZoneMedallion'] = nil;
end
function auxOpenGate()
	local duration = 3.0;

	PlaySound('L15S10');
	gameState.leverMoved = true;
	gameState.leverAndGridAreMoving = true;
	TimerDoString('auxDisableStateFlag(\'leverAndGridAreMoving\');', duration, playField:GetTimer());

	local objLever = playField:GetObject('Lever_onPlace');
	local objGateGrid = playField:GetObject('gateGrid');
	objLever:SetAngle(gameState.leverInitAngle);
	objGateGrid:SetY(gameState.gateGridInitPosY);

	objLever:Rotate(gameState.leverRotation, 1.0/3.0 * duration);
	objGateGrid:Move(0.0, gameState.gateGridMoveDistance, duration);

	gameState.customCursors['actZoneLever'] = nil;
	gameState.customCursors['actZoneExit'] = {'CursorNavigation', -100.0 /180.0*M_PI};
	gameState.lockedObjects['actZoneExit'] = nil;

    assert(gameState.activeZone ~= nil);
    if (gameState.activeZone == LeftStatueZoomZone) then
		CloseAndBlockActiveZone();
    end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxUpdatePeriodicAnimations(dt)
	if (gameState.nextAnimationDelay == 0.0) then
		local animations = {};

		for compositionName, composition in pairs(insideTempleCompositions) do
			if (composition:IsCyclic() == false) then
				table.insert(animations, composition:GetName());
			end
		end

		local animName = animations[math.random(1, table.getn(animations))];
		if (animName ~= nil) then
			local composition = auxGetInsideTempleAnimation(animName);

            if (composition ~= nil and composition:IsPaused() == true) then
				auxPlayInsideTempleAnimation(animName);
			end
		end
		gameState.nextAnimationDelay = math.random(4, 11);
	else
		gameState.nextAnimationDelay = (gameState.nextAnimationDelay - dt >= 0.0 and gameState.nextAnimationDelay - dt or 0.0);
	end
end


--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxUpdatePeriodicAnimations(dt)
	if (gameState.nextAnimationDelay == 0.0) then
		local animations = {};

		for compositionName, composition in pairs(insideTempleCompositions) do
			if (composition:IsCyclic() == false) then
				table.insert(animations, composition:GetName());
			end
		end

		local animName = animations[math.random(1, table.getn(animations))];
		if (animName ~= nil) then
			local composition = auxGetInsideTempleAnimation(animName);

            if (composition ~= nil and composition:IsPaused() == true) then
				auxPlayInsideTempleAnimation(animName);
			end
		end
		gameState.nextAnimationDelay = math.random(4, 11);
	else
		gameState.nextAnimationDelay = (gameState.nextAnimationDelay - dt >= 0.0 and gameState.nextAnimationDelay - dt or 0.0);
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxTestLevelCompleteCondition()
	if (gameState.leverMoved == true and

		gameState.allToolsApplied == true and
		gameState.levelCompleted == false and
		playField:GetLevelScreen():HasUncompletedTask() == false) then

		gameState.levelCompleted = true;
		TimerDoString('OnWin();', 2.0, playField:GetTimer());
	end
end
-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

------------------------------------------------------------------------------
--
function OnDialogButtonPress(name, param)
end

------------------------------------------------------------------------------
--
function OnUpdate(dt)
    DefaultOnUpdate(dt);

	auxUpdatePeriodicAnimations(dt);
end

------------------------------------------------------------------------------
--
function OnWin()
	DefaultOnWin();
end

------------------------------------------------------------------------------
--
function OnObjectMouseEnter(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseEnter(object);
	ActivateActiveZoneGlow(objectName);
end

------------------------------------------------------------------------------
--
function OnObjectMouseLeave(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseLeave(object);
    DeactivateActiveZoneGlow(objectName);
end

------------------------------------------------------------------------------
--
function OnObjectMouseDown(object)
    local objectName = object:GetName();
    local isWrongClick = true;

	assert(gameState.activeZone ~= nil and gameState.locker:GetNReferences() > 0);

    if (gameState.lockedObjects[objectName] ~= true) then
        if (gameState.activeZone.HasObject(objectName)) then
            isWrongClick = DefaultOnZoomZoneActiveObjectClick(objectName);

			--// ...
			if (gameState.levelCompleted == false) then
				if (objectName == 'actZoneLever') then
					if (playField:GetLevelScreen():HasUncompletedTask() == false and gameState.allToolsApplied == true) then
						gameState.lockedObjects['actZoneBasement'] = true;
						gameState.customCursors['actZoneBasement'] = nil;
						auxOpenGate();
		                isWrongClick = false;
					else
					    playField:GetLevelScreen():ShowTip(GetTextString('HAVE_TO_FIND_ITEMS_MSG1'),
														   GetTextString('HAVE_TO_FIND_ITEMS_MSG2'));
					end
				end
				if (objectName == 'actZoneExit' and playField:GetLevelScreen():HasUncompletedTask() == false and gameState.allToolsApplied == true) then
					isWrongClick = false;
					auxTestLevelCompleteCondition();
	                isWrongClick = false;
				end
			end

	        if (isWrongClick == true and playField:GetLevelScreen():IsTaskObject(objectName)) then
	            auxAttachInPlace(object, playField);
				object:ResetClippingRect();
				--// remove object from zoom-zone which contents it
				assert(gameState.activeZone.objects[objectName] ~= nil);
				gameState.activeZone.objects[objectName] = nil;

                playField:OnObjectFound(object);
                isWrongClick = false;
            end
        else
--			assert(gameState.activeZone ~= RootZoomZone and 
--				   gameState.locker:GetNReferences() > 1 and
--				   'Attempt to close root scene - you have clicked on an object which hasn`t been added to any zoom-zone');
            if (gameState.activeZone ~= RootZoomZone and gameState.locker:GetNReferences() > 1) then
                if (gameState.lockedObjects[gameState.activeZone.activeObject] == nil) then
                    SetZoneVisible(gameState.activeZone, false);
                end
            else
                Log('Lua: OnObjectMouseDown(\''..objectName..'\'): Was made click on object which hasn`t been attached to any zoom-zone');
            end
        end --// if (gameState.activeZone.HasObject(...
    end --// if (gameState.lockedObjects[...

	--// Tips - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	if (objectName == 'actZoneQuiver' and gameState.quiverOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL15_QUIVER_TIP1'));
	elseif (objectName == 'actZoneCrowbar' and gameState.crowbarUsed == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL15_CROWBAR_TIP1'));
	elseif (objectName == 'actZoneMedallion' and gameState.medallionOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL15_MEDALLION_TIP1'));
	elseif (objectName == 'actZoneGreenCrystal' and gameState.greenCrystalOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL15_GREEN_CRYSTAL_TIP1'));
	elseif (objectName == 'actZoneRedCrystal' and gameState.redCrystalOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL15_RED_CRYSTAL_TIP1'));
	elseif (objectName == 'actZoneLever' and gameState.leverOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL15_LEVER_TIP1'));
	else
	    playField:GetLevelScreen():HideTip();
	end
	--//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

    DefaultOnObjectClick(object, isWrongClick, not playField:GetLevelScreen():IsTipShown());
    DefaultOnObjectMouseEnter(object);
end

------------------------------------------------------------------------------
--
function OnObjectMouseUp(object)
end

------------------------------------------------------------------------------
--
function OnObjectFound(object)
    local objectName = object:GetName();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    assert(gameState.activeZone ~= nil);
    if (gameState.activeZone == LizardKnightZoomZone and objectName == 'Quiver') then
		CloseAndBlockActiveZone();
    end
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	local objectMustBeHighlighted = DefaultOnObjectFound(object);
	return objectMustBeHighlighted;
end

------------------------------------------------------------------------------
--
function OnToolFound(tool)
end

------------------------------------------------------------------------------
--
function CanToolBeApplied(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local canToolBeApplied = true;
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	canToolBeApplied = DefaultCanToolBeApplied(tool, object);
	return canToolBeApplied;
end

------------------------------------------------------------------------------
--
function OnToolApply(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local toolApplied = false;

	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	if (toolName == 'RedCrystal' and objName == gameState.toolMap[toolName]) then
		gameState.redCrystalOnPlace = true;
		toolApplied = true;
	end
	if (toolName == 'GreenCrystal' and objName == gameState.toolMap[toolName]) then
		gameState.greenCrystalOnPlace = true;
		toolApplied = true;
	end
	if (toolName == 'Lever' and objName == gameState.toolMap[toolName]) then
		gameState.leverOnPlace = true;
		toolApplied = true;
	end
	if (toolName == 'Medallion' and objName == gameState.toolMap[toolName]) then
		gameState.medallionOnPlace = true;
		toolApplied = true;
		auxOpenHatch();
	end
	if (toolName == 'Quiver' and objName == gameState.toolMap[toolName]) then
		gameState.quiverOnPlace = true;
		toolApplied = true;
	end
	if (toolName == 'Crowbar' and objName == gameState.toolMap[toolName]) then
		gameState.crowbarUsed = true;
		toolApplied = true;
		PlaySound('L15S11');
	end
	if (not toolApplied) then
	    playField:GetLevelScreen():ShowTip(GetTextString('WRONG_ITEM_APPLIED_TIP1'),
										   GetTextString('WRONG_ITEM_APPLIED_TIP2'));
	end

    assert(gameState.activeZone ~= nil);
    if (gameState.activeZone == RightStatueZoomZone and 
		(toolName == 'Quiver' or toolName == 'RedCrystal') and
		gameState.quiverOnPlace == true and gameState.redCrystalOnPlace == true and toolApplied == true) then

		CloseAndBlockActiveZone();
    end


	if (gameState.redCrystalOnPlace == true and
		gameState.greenCrystalOnPlace == true and
		gameState.leverOnPlace == true and
		gameState.medallionOnPlace == true and
		gameState.quiverOnPlace == true and
		gameState.crowbarUsed == true and
		gameState.allToolsApplied == false) then

		gameState.allToolsApplied = true;
		if (playField:GetLevelScreen():HasUncompletedTask() == true) then
		    playField:GetLevelScreen():ShowTip(GetTextString('HAVE_TO_FIND_ITEMS_MSG1'),
											   GetTextString('HAVE_TO_FIND_ITEMS_MSG2'));
		else
			auxTestLevelCompleteCondition();
		end
	end

	auxProcessToolObjectStateAnCursorType();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    DefaultOnObjectMouseEnter(object);
	if (toolApplied == true) then
	    DeactivateActiveZoneDeactivatedGlow(object:GetName());
	end
	return toolApplied;
end

------------------------------------------------------------------------------
--
function OnObjectReachPanel(object)
    local objectName = object:GetName();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	auxTestLevelCompleteCondition();
end

------------------------------------------------------------------------------
--
function OnButtonPress(zoneName)
    DefaultOnButtonPress(zoneName);
end

------------------------------------------------------------------------------
--
function OnMouseMove(prevMousePos, currentMousePos)
end

------------------------------------------------------------------------------
--
function OnSetTool(tool)
end

------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData()
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('RootBackground',anim,512,384,99,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/archer.png',0,0,128,109,1,0)
	anim:SetHotSpot(64,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('archer',anim,777,407,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/bench.png',0,0,277,151,1,0)
	anim:SetHotSpot(138,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bench',anim,319,586,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/boomerang.png',0,0,99,154,1,0)
	anim:SetHotSpot(49,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('boomerang',anim,302,132,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/butterfly.png',0,0,226,196,1,0)
	anim:SetHotSpot(113,98)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('butterfly1',anim,623,284,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/caterpillar.png',0,0,101,90,1,0)
	anim:SetHotSpot(50,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('caterpillar',anim,157,514,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/chest.png',0,0,127,99,1,0)
	anim:SetHotSpot(63,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('chest',anim,960,719,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/cup.png',0,0,144,163,1,0)
	anim:SetHotSpot(72,81)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('cup',anim,517,674,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/dragonflies.png',0,0,113,127,1,0)
	anim:SetHotSpot(56,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('dragonflies',anim,238,367,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/drum.png',0,0,172,114,1,0)
	anim:SetHotSpot(86,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('drum',anim,585,568,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/fish1.png',0,0,154,120,1,0)
	anim:SetHotSpot(77,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('fish1',anim,794,709,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/fish2.png',0,0,95,101,1,0)
	anim:SetHotSpot(47,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('fish2',anim,178,449,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/fly.png',0,0,152,106,1,0)
	anim:SetHotSpot(76,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('fly',anim,843,658,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/gymnast.png',0,0,145,156,1,0)
	anim:SetHotSpot(72,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('gymnast',anim,737,79,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/halberd.png',0,0,121,331,1,0)
	anim:SetHotSpot(60,165)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('halberd',anim,858,435,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/hatchet.png',0,0,213,138,1,0)
	anim:SetHotSpot(106,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hatchet',anim,258,207,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/head.png',0,0,99,123,1,0)
	anim:SetHotSpot(49,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('head',anim,788,318,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/herbarium.png',0,0,153,97,1,0)
	anim:SetHotSpot(76,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('herbarium',anim,923,47,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/hookah.png',0,0,116,150,1,0)
	anim:SetHotSpot(58,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hookah',anim,662,488,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/jug.png',0,0,129,154,1,0)
	anim:SetHotSpot(64,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('jug1',anim,919,541,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/leaf.png',0,0,121,110,1,0)
	anim:SetHotSpot(60,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('leaf1',anim,136,575,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/mask1.png',0,0,171,103,1,0)
	anim:SetHotSpot(85,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mask1',anim,650,184,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/mask2.png',0,0,126,137,1,0)
	anim:SetHotSpot(63,68)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mask2',anim,253,100,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/monsterStatuette.png',0,0,140,144,1,0)
	anim:SetHotSpot(70,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('monsterStatuette',anim,254,671,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/oldKnife.png',0,0,185,83,1,0)
	anim:SetHotSpot(92,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('oldKnife',anim,714,729,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/owl.png',0,0,99,110,1,0)
	anim:SetHotSpot(49,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('owl1',anim,554,113,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/rosary.png',0,0,137,105,1,0)
	anim:SetHotSpot(68,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('rosary',anim,965,380,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/sandals.png',0,0,124,143,1,0)
	anim:SetHotSpot(62,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('sandals',anim,363,630,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/skull.png',0,0,165,124,1,0)
	anim:SetHotSpot(82,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('skull',anim,937,164,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/spiderTatoo.png',0,0,88,102,1,0)
	anim:SetHotSpot(44,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('spiderTatoo',anim,857,200,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/amber.png',0,0,159,92,1,0)
	anim:SetHotSpot(79,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('amber',anim,349,707,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/flowers.png',0,0,108,98,1,0)
	anim:SetHotSpot(54,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('flowers',anim,291,321,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/lizard.png',0,0,108,105,1,0)
	anim:SetHotSpot(54,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('lizard',anim,134,266,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/pearls.png',0,0,117,113,1,0)
	anim:SetHotSpot(58,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('pearls',anim,422,94,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/snake.png',0,0,110,111,1,0)
	anim:SetHotSpot(55,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('snake',anim,759,521,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Misc/weapon.png',0,0,138,142,1,0)
	anim:SetHotSpot(69,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('weapon',anim,651,430,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/gateGrid.png',0,0,170,150,1,0)
	anim:SetHotSpot(85,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('gateGrid',anim,415,459,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/LayerOverGateGrid.png',0,0,190,144,1,0)
	anim:SetHotSpot(95,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverGateGrid',anim,419,576,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/hatch.png',0,0,235,32,1,0)
	anim:SetHotSpot(117,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hatch',anim,732,605,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/hatchLight.png',0,0,329,102,1,0)
	anim:SetHotSpot(164,164)
	anim:SetBlendMode(0)
	anim:SetColor('0xFF8888FF')
	play_field:CreateObject('hatchLight',anim,733,685,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/LayerOverBench.png',0,0,129,162,1,0)
	anim:SetHotSpot(64,81)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverBench',anim,236,609,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/LayerOverBoomerang.png',0,0,99,154,1,0)
	anim:SetHotSpot(49,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverBoomerang',anim,303,130,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/layerOverGymnast.png',0,0,145,156,1,0)
	anim:SetHotSpot(72,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('layerOverGymnast',anim,742,77,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/LayerOverHatch.png',0,0,338,128,1,0)
	anim:SetHotSpot(169,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverHatch',anim,736,663,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/LayerOverOwl.png',0,0,99,110,1,0)
	anim:SetHotSpot(49,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverOwl',anim,555,113,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/LayerOverRosary.png',0,0,137,105,1,0)
	anim:SetHotSpot(68,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverRosary',anim,956,374,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/LayerOverSkull.png',0,0,165,124,1,0)
	anim:SetHotSpot(82,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverSkull',anim,941,170,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/LayerOverWeapon.png',0,0,138,142,1,0)
	anim:SetHotSpot(69,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverWeapon',anim,650,429,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/GreedCrystal_onPlaceGenView.png',0,0,25,47,1,0)
	anim:SetHotSpot(12,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('GreedCrystal_onPlaceGenView',anim,322,441,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Layers/RedCrystal_onPlaceGenView.png',0,0,26,46,1,0)
	anim:SetHotSpot(13,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('RedCrystal_onPlaceGenView',anim,522,448,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneMedallion',anim,719,661,107,0,0.9,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radialGlow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xFF22FF88')
	play_field:CreateObject('GreenCrystalGlowGenView',anim,321,436,103,0,1.2,1.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radialGlow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF2222')
	play_field:CreateObject('RedCrystalGlowGenView',anim,521,440,103,0,1.2,1.6)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Medallion_onPlace.png',0,0,49,40,1,0)
	anim:SetHotSpot(24,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Medallion_onPlace',anim,715,663,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/RedCrystal.png',0,0,44,54,1,0)
	anim:SetHotSpot(22,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('RedCrystal',anim,972,561,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Crowbar.png',0,0,75,27,1,0)
	anim:SetHotSpot(37,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Crowbar',anim,261,256,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneExit',anim,425,427,103,0,1,2.1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneLeftStatue',anim,313,454,104,0,1,1.6)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/LeftStatue/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomLeftStatueBackground',anim,536,313,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/LeftStatue/Layers/LayerOverLever.png',0,0,40,56,1,0)
	anim:SetHotSpot(20,28)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverLever',anim,639,252,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Lever_onPlace.png',0,0,68,80,1,0)
	anim:SetHotSpot(34,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Lever_onPlace',anim,610,218,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/LeftStatue/Layers/lizardPaws.png',0,0,48,125,1,0)
	anim:SetHotSpot(24,62)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('lizardPaws',anim,772,267,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/LeftStatue/Layers/wallFratgment.png',0,0,60,154,1,0)
	anim:SetHotSpot(30,77)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('wallFratgment',anim,540,329,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Medallion.png',0,0,46,41,1,0)
	anim:SetHotSpot(23,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Medallion',anim,541,385,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/GreenCrystal_onPlace.png',0,0,53,110,1,0)
	anim:SetHotSpot(26,55)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('GreenCrystal_onPlace',anim,770,269,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneCrowbar',anim,537,327,204,0,0.9,1.4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneLever',anim,622,227,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneGreenCrystal',anim,770,268,205,0,1,1.4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radialGlow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xFF22FF88')
	play_field:CreateObject('GreenCrystalGlow',anim,760,261,204,0,2.6,3.4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneRightStatue',anim,541,453,104,0,1,1.6)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/RightSattue/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomRightStatueBackground',anim,631,404,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/RightSattue/Layers/lizardPaw1.png',0,0,59,80,1,0)
	anim:SetHotSpot(29,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('lizardPaw1',anim,708,411,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/RightSattue/Layers/lizardPaw2.png',0,0,50,32,1,0)
	anim:SetHotSpot(25,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('lizardPaw2',anim,664,460,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/RedCrystal_onPlace.png',0,0,58,92,1,0)
	anim:SetHotSpot(29,46)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('RedCrystal_onPlace',anim,681,421,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Quiver_onPlace.png',0,0,52,150,1,0)
	anim:SetHotSpot(26,75)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Quiver_onPlace',anim,739,365,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneRedCrystal',anim,664,413,206,0,0.9,1.2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneQuiver',anim,744,363,204,0,0.7,1.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radialGlow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF2222')
	play_field:CreateObject('RedCrystalGlow',anim,669,414,205,0,2.6,3.4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneBasement',anim,733,604,104,1,2.6,0.3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('navigationZoneBasement',anim,435,795,206,0,5,3)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomBasementBackground',anim,512,384,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/bag.png',0,0,49,94,1,0)
	anim:SetHotSpot(24,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('bag',anim,251,187,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/biscuit.png',0,0,59,60,1,0)
	anim:SetHotSpot(29,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('biscuit',anim,834,73,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/bones.png',0,0,102,86,1,0)
	anim:SetHotSpot(51,43)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('bones',anim,154,310,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/bug.png',0,0,50,64,1,0)
	anim:SetHotSpot(25,32)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('bug',anim,922,52,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/butterfly.png',0,0,83,71,1,0)
	anim:SetHotSpot(41,35)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('butterfly',anim,776,32,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/candlestick.png',0,0,93,110,1,0)
	anim:SetHotSpot(46,55)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('candlestick',anim,619,221,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/cat.png',0,0,76,96,1,0)
	anim:SetHotSpot(38,48)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('cat',anim,152,208,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/cauldron.png',0,0,58,66,1,0)
	anim:SetHotSpot(29,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('cauldron',anim,765,183,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/circle.png',0,0,77,59,1,0)
	anim:SetHotSpot(38,29)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('circle',anim,148,508,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/coins.png',0,0,83,66,1,0)
	anim:SetHotSpot(41,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('coins',anim,415,249,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/column.png',0,0,73,126,1,0)
	anim:SetHotSpot(36,63)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('column',anim,450,581,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/crow.png',0,0,127,75,1,0)
	anim:SetHotSpot(63,37)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('crow',anim,606,392,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/dogStatuette.png',0,0,141,99,1,0)
	anim:SetHotSpot(70,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('dogStatuette',anim,632,554,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/eyeball.png',0,0,60,60,1,0)
	anim:SetHotSpot(30,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('eyeball',anim,412,183,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/flowerpot.png',0,0,63,62,1,0)
	anim:SetHotSpot(31,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('flowerpot',anim,796,364,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/frog.png',0,0,87,46,1,0)
	anim:SetHotSpot(43,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('frog',anim,975,223,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/glove.png',0,0,133,114,1,0)
	anim:SetHotSpot(66,57)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('glove',anim,823,708,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/hat.png',0,0,83,61,1,0)
	anim:SetHotSpot(41,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('hat',anim,338,439,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/jug.png',0,0,67,65,1,0)
	anim:SetHotSpot(33,32)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('jug',anim,646,353,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/key.png',0,0,98,77,1,0)
	anim:SetHotSpot(49,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('key',anim,927,705,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/lantern.png',0,0,56,129,1,0)
	anim:SetHotSpot(28,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('lantern',anim,301,69,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/leaf.png',0,0,92,92,1,0)
	anim:SetHotSpot(46,46)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('leaf',anim,990,34,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/macaque.png',0,0,82,170,1,0)
	anim:SetHotSpot(41,85)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('macaque',anim,973,550,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mallet.png',0,0,99,43,1,0)
	anim:SetHotSpot(49,21)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('mallet',anim,357,305,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mantis.png',0,0,79,82,1,0)
	anim:SetHotSpot(39,41)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('mantis',anim,969,278,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mask.png',0,0,59,91,1,0)
	anim:SetHotSpot(29,45)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('mask',anim,410,87,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mortar.png',0,0,84,58,1,0)
	anim:SetHotSpot(42,29)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('mortar',anim,842,501,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/mug.png',0,0,78,70,1,0)
	anim:SetHotSpot(39,35)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('mug',anim,452,384,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/owl.png',0,0,76,87,1,0)
	anim:SetHotSpot(38,43)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('owl',anim,280,305,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/peacock.png',0,0,64,117,1,0)
	anim:SetHotSpot(32,58)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('peacock',anim,664,108,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/pineapple.png',0,0,55,81,1,0)
	anim:SetHotSpot(27,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('pineapple',anim,996,132,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/redCrystal.png',0,0,42,106,1,0)
	anim:SetHotSpot(21,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('redCrystal',anim,141,46,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/ring.png',0,0,62,53,1,0)
	anim:SetHotSpot(31,26)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ring',anim,377,579,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/seashell.png',0,0,90,61,1,0)
	anim:SetHotSpot(45,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('seashell',anim,448,311,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/snail.png',0,0,51,98,1,0)
	anim:SetHotSpot(25,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('snail',anim,498,61,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/sun.png',0,0,61,83,1,0)
	anim:SetHotSpot(30,41)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('sun',anim,997,397,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/sword.png',0,0,124,55,1,0)
	anim:SetHotSpot(62,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('sword',anim,713,420,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/tube.png',0,0,33,130,1,0)
	anim:SetHotSpot(16,65)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('tube',anim,609,94,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Items/vessel.png',0,0,50,76,1,0)
	anim:SetHotSpot(25,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('vessel',anim,822,266,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Layers/backgroundShadowMap.png',0,0,467,265,1,0)
	anim:SetHotSpot(233,132)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('backgroundShadowMap',anim,621,639,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Layers/LayerOverCandlestick.png',0,0,104,169,1,0)
	anim:SetHotSpot(52,84)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverCandlestick',anim,620,239,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Layers/LayerOverColumn.png',0,0,98,82,1,0)
	anim:SetHotSpot(49,41)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverColumn',anim,458,616,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Layers/LayerOverEyeball.png',0,0,65,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverEyeball',anim,412,199,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Layers/LayerOverFrog.png',0,0,52,32,1,0)
	anim:SetHotSpot(26,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverFrog',anim,986,239,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Layers/LayerOverVessel.png',0,0,76,48,1,0)
	anim:SetHotSpot(38,24)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverVessel',anim,810,301,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/GreenCrystal.png',0,0,41,55,1,0)
	anim:SetHotSpot(20,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('GreenCrystal',anim,919,308,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Lever.png',0,0,34,95,1,0)
	anim:SetHotSpot(17,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Lever',anim,508,454,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneLizardKnight',anim,325,181,204,0,1,1.5)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Zones/LizardKnight/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomLizadKnightBackground',anim,524,323,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Zones/Basement/Zones/LizardKnight/Layers/layerOverQuiver.png',0,0,97,132,1,0)
	anim:SetHotSpot(48,66)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('layerOverQuiver',anim,652,264,305,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Quiver.png',0,0,147,237,1,0)
	anim:SetHotSpot(73,118)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Quiver',anim,688,201,304,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Medallion_ghost.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Medallion_ghost',anim,716,662,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Crowbar_ghost.png',0,0,96,90,1,0)
	anim:SetHotSpot(48,45)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Crowbar_ghost',anim,549,331,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/GreenCrystal_ghost.png',0,0,72,128,1,0)
	anim:SetHotSpot(36,64)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('GreenCrystal_ghost',anim,772,270,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Lever_ghost.png',0,0,80,96,1,0)
	anim:SetHotSpot(40,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Lever_ghost',anim,610,218,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/RedCrystal_ghost.png',0,0,72,128,1,0)
	anim:SetHotSpot(36,64)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('RedCrystal_ghost',anim,680,421,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_InsideTemple/Items/Quiver_ghost.png',0,0,64,160,1,0)
	anim:SetHotSpot(32,80)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Quiver_ghost',anim,738,365,210,0,1,1)
end

function FreeData()
end
-- CLEAR_ON_SAVE_END
